gi-vte-2.91.19: Vte bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Vte.Structs.Regex

Contents

- Exported types
- Methods
  - jit
  - newForMatch
  - newForSearch
  - ref
  - substitute
  - unref

Description

No description available in the introspection data.

Synopsis

- newtype Regex = Regex (ManagedPtr Regex)
- noRegex :: Maybe Regex
- regexJit :: (HasCallStack, MonadIO m) => Regex -> Word32 -> m ()
- regexNewForMatch :: (HasCallStack, MonadIO m) => Text -> Int64 -> Word32 -> m Regex
- regexNewForSearch :: (HasCallStack, MonadIO m) => Text -> Int64 -> Word32 -> m Regex
- regexRef :: (HasCallStack, MonadIO m) => Regex -> m Regex
- regexSubstitute :: (HasCallStack, MonadIO m) => Regex -> Text -> Text -> Word32 -> m Text
- regexUnref :: (HasCallStack, MonadIO m) => Regex -> m Regex

# Exported types

newtype Regex Source #

Memory-managed wrapper type.

Constructors

Regex (ManagedPtr Regex) |

Instances

BoxedObject Regex Source # |
Instance details Defined in GI.Vte.Structs.Regex Methods boxedType :: Regex -> IO GType Source #

noRegex :: Maybe Regex Source #

A convenience alias for `Nothing` :: `Maybe` `Regex`.

# Methods

## jit

regexJit Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Regex |
-> Word32 |
-> m () | (Can throw `GError`)

No description available in the introspection data.

## newForMatch

regexNewForMatch Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Text |
-> Int64 |
-> Word32 |
-> m Regex | (Can throw `GError`)

No description available in the introspection data.

## newForSearch

regexNewForSearch Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Text |
-> Int64 |
-> Word32 |
-> m Regex | (Can throw `GError`)

No description available in the introspection data.

## ref

regexRef :: (HasCallStack, MonadIO m) => Regex -> m Regex Source #

No description available in the introspection data.

## substitute

regexSubstitute Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Regex |
-> Text |
-> Text |
-> Word32 |
-> m Text | (Can throw `GError`)

No description available in the introspection data.

## unref

regexUnref :: (HasCallStack, MonadIO m) => Regex -> m Regex Source #

No description available in the introspection data.